pack.hpp File Reference
`#include "msgpack/v1/pack_decl.hpp"`
`#include <stdexcept>`
`#include <limits>`
`#include <cstring>`
`#include <climits>`

Go to the source code of this file.

## Classes

class | msgpack::packer< Stream >
| The class template that supports continuous packing. More...

## Namespaces

| msgpack

## Functions

template<typename Stream , typename T >
void | msgpack::pack (Stream *s, const T &v)
| Pack the value as MessagePack format into the stream. More...
template<typename Stream , typename T >
void | msgpack::pack (Stream &s, const T &v)
| Pack the value as MessagePack format into the stream. More...